import { Crop, Ords } from './types';
export declare const defaultCrop: Crop;
export declare function clamp(num: number, min: number, max: number): number;
export declare function isCropValid(crop: Partial<Crop>): boolean | 0 | undefined;
export declare function areCropsEqual(cropA: Partial<Crop>, cropB: Partial<Crop>): boolean;
export declare function makeAspectCrop(crop: Crop, imageWidth: number, imageHeight: number): Crop;
export declare function convertToPercentCrop(crop: Partial<Crop>, imageWidth: number, imageHeight: number): Crop;
export declare function convertToPixelCrop(crop: Partial<Crop>, imageWidth: number, imageHeight: number): Crop;
export declare function resolveCrop(pixelCrop: Crop, imageWidth: number, imageHeight: number): Crop;
export declare function getMinCrop(pixelCrop: Crop, ord: Ords, minWidth?: number, minHeight?: number): {
    aspect?: number | undefined;
    x: number;
    y: number;
    width: number;
    height: number;
    unit: "px" | "%";
};
export declare function getMaxCrop(pixelCrop: Crop, ord: Ords, containerWidth: number, containerHeight: number, maxWidth?: number, maxHeight?: number): {
    aspect?: number | undefined;
    x: number;
    y: number;
    width: number;
    height: number;
    unit: "px" | "%";
};
